#!/usr/bin/perl
# ----------------------------------------------------------------------
# | Module:     msgbox.pl                                              |
# |                                                                    |
# | Purpose:    Test wine/perl interface using MessageBoxA() API       |
# |             function                                               |
# |                                                                    |
# |                                                                    |
# |                                                                    |
# ----------------------------------------------------------------------


# --------------------------------------------------------------
# | The stuff necessary to use the Wine/Perl interface         |
# --------------------------------------------------------------
use lib "wine/blib/arch";
use lib "wine/blib/lib";
use ExtUtils::testlib;
use wine;



    sub main
    {
        $wine = wine->new ("wine_callback");
        $wine->init;
    }

    sub wine_callback
    {
        $wine->int->user32->MessageBoxA (0, "sez the dog", "bark", 4);
    }

    main ();
